Skip to main content
PUT
/
ai
/
agents
/
{uuid}
Update agent
curl --request PUT \
  --url https://api.getcargo.io/v1/ai/agents/{uuid} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "triggers": [
    {
      "name": "<string>",
      "description": "<string>",
      "type": "<string>",
      "cron": "<string>",
      "text": "<string>"
    }
  ],
  "folderUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
import requests

url = "https://api.getcargo.io/v1/ai/agents/{uuid}"

payload = {
"name": "<string>",
"description": "<string>",
"triggers": [
{
"name": "<string>",
"description": "<string>",
"type": "<string>",
"cron": "<string>",
"text": "<string>"
}
],
"folderUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
triggers: [
{
name: '<string>',
description: '<string>',
type: '<string>',
cron: '<string>',
text: '<string>'
}
],
folderUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};

fetch('https://api.getcargo.io/v1/ai/agents/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "agent": {
    "uuid": "<string>",
    "workspaceUuid": "<string>",
    "userUuid": "<string>",
    "name": "<string>",
    "icon": {
      "face": "<string>"
    },
    "description": "<string>",
    "triggers": [
      {
        "name": "<string>",
        "description": "<string>",
        "type": "<string>",
        "cron": "<string>",
        "text": "<string>",
        "temporalScheduleWorkflowId": "<string>"
      }
    ],
    "deployedRelease": {
      "uuid": "<string>",
      "userUuid": "<string>",
      "description": "<string>",
      "templateSlug": "<string>",
      "version": "<string>",
      "actions": [
        {
          "name": "<string>",
          "slug": "<string>",
          "description": "<string>",
          "isBulkAllowed": true,
          "config": {},
          "kind": "<string>",
          "toolUuid": "<string>",
          "templateSlug": "<string>",
          "waitUntilFinished": true
        }
      ],
      "capabilities": [
        {
          "slug": "<string>",
          "config": {}
        }
      ],
      "suggestedActions": [
        {
          "text": "<string>",
          "actions": [
            {
              "slug": "<string>"
            }
          ]
        }
      ],
      "systemPrompt": "<string>",
      "withReasoning": true,
      "temperature": 123,
      "maxSteps": 123,
      "integrationSlug": "<string>",
      "connectorUuid": "<string>",
      "languageModelSlug": "<string>",
      "mcpClients": [
        {
          "kind": "<string>",
          "name": "<string>",
          "url": "<string>",
          "authentication": {
            "issuedAt": "<string>",
            "accessToken": "<string>",
            "expiresIn": 123,
            "refreshToken": "<string>",
            "scope": "<string>",
            "tokenType": "<string>",
            "clientId": "<string>",
            "clientSecret": "<string>"
          },
          "disabledToolSlugs": [
            "<string>"
          ]
        }
      ],
      "resources": [
        {
          "kind": "<string>",
          "name": "<string>",
          "slug": "<string>",
          "description": "<string>",
          "integrationSlug": "<string>",
          "modelUuid": "<string>",
          "filter": {
            "groups": [
              "<unknown>"
            ]
          },
          "selectedColumnSlugs": [
            "<string>"
          ],
          "limit": 123,
          "prompt": "<string>",
          "isReadOnly": true
        }
      ],
      "heartbeat": {
        "intervalMinutes": 123,
        "maxMessages": 123,
        "prompt": "<string>"
      },
      "evaluator": {
        "rubric": "<string>",
        "threshold": 0.5
      },
      "deployedAt": "<string>",
      "createdAt": "<string>"
    },
    "folderUuid": "<string>",
    "template": {
      "slug": "<string>",
      "isAvailable": true
    },
    "isReadOnly": true,
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "deletedAt": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

uuid
string<uuid>
required

Agent identifier.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$

Body

application/json

Request body schema.

name
string

Agent name.

icon
Icon · object

Agent icon.

description
string | null

Agent description.

triggers
Triggers · object[]

Agent triggers.

folderUuid
string<uuid> | null

Folder identifier for the agent.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
template
Template · object

Agent template.

Response

Successful response

agent
Agent · object
required

Updated agent details.